Loading...
Searching...
No Matches
vkd3d_shader_uav_counter_binding Struct Reference

Describes the mapping of a single Direct3D UAV counter. More...

`#include <vkd3d_shader.h>`

Collaboration diagram for vkd3d_shader_uav_counter_binding:
[legend]

## Data Fields

unsigned int | register_space
| Register space of the Direct3D UAV descriptor.
unsigned int | register_index
| Register index of the Direct3D UAV descriptor.
enum vkd3d_shader_visibility | shader_visibility
| Shader stage(s) to which the UAV counter is visible.
struct vkd3d_shader_descriptor_binding | binding
| The binding in the target environment.
unsigned int | offset

## Detailed Description

Describes the mapping of a single Direct3D UAV counter.

This structure is used in struct vkd3d_shader_interface_info.

## Field Documentation

## register_space

unsigned int vkd3d_shader_uav_counter_binding::register_space

Register space of the Direct3D UAV descriptor.

If the source format does not support multiple register spaces, this parameter must be set to 0.

The documentation for this struct was generated from the following file:

- include/vkd3d_shader.h